CWIS Developer Documentation

- Home
- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
PluginCaller Class Reference

More...

## Public Member Functions
| __construct ($PluginName, $MethodName)
| Class constructor, which stores the plugin name and the name of the method to be called. More...
| CallPluginMethod ()
| Call the method that was specified in our constructor. More...
| GetCallbackAsText ()
| Get full method name as a text string. More...
| __sleep ()
| Sleep method, specifying which values are to be saved when we are serialized. More...

## Static Public Attributes
static | $Manager
| PluginManager to use to retrieve appropriate plugins. More...

## Detailed Description

Helper class for internal use by PluginManager. This class is used to allow plugin methods to be triggered by events that only allow serialized callbacks (e.g. periodic events). The plugin name and the method to be called are set and then the PluginCaller object is serialized out. When the PluginCaller object is unserialized, it retrieves the appropriate plugin object from the PluginManager (pointer to PluginManager is set in PluginManager constructor) and calls the specified method.

Definition at line 820 of file PluginManager.php.

## Constructor & Destructor Documentation

PluginCaller::__construct | ( |  | $PluginName,
|  |  | $MethodName
| ) |  |

Class constructor, which stores the plugin name and the name of the method to be called.

Parameters

  string | $PluginName | Name of plugin.
  string | $MethodName | Name of method to be called.

Definition at line 828 of file PluginManager.php.

## Member Function Documentation

PluginCaller::__sleep | ( |  | ) |

Sleep method, specifying which values are to be saved when we are serialized.

Returns
  array Array of names of variables to be saved.

Definition at line 860 of file PluginManager.php.

PluginCaller::CallPluginMethod | ( |  | ) |

Call the method that was specified in our constructor.

This method accept whatever arguments are appropriate for the specified method and returns values as appropriate for the specified method.

Definition at line 839 of file PluginManager.php.

PluginCaller::GetCallbackAsText | ( |  | ) |

Get full method name as a text string.

Returns
  string Method name, including plugin class name.

Definition at line 850 of file PluginManager.php.

## Member Data Documentation

PluginCaller::$Manager
| static

PluginManager to use to retrieve appropriate plugins.

Definition at line 866 of file PluginManager.php.

Referenced by PluginManager\__construct().

The documentation for this class was generated from the following file:

- lib/ScoutLib/PluginManager.php